Manifest-Version: 1.0
Ant-Version: Apache Ant 1.10.8
Created-By: 1.8.0_381 (Oracle Corporation)
Bnd-LastModified: 1744223688164
Bundle-ClassPath: .,lib/classmate-1.4.0.jar,lib/jackson-dataformat-xml
 -2.9.8.jar,lib/jackson-dataformat-yaml-2.9.8.jar,lib/jackson-datatype
 -jdk8-2.9.8.jar,lib/jackson-jaxrs-xml-provider-2.9.8.jar,lib/jackson-
 module-jaxb-annotations-2.9.8.jar,lib/failureaccess-1.0.1.jar,lib/gua
 va-30.1.1-jre.jar,lib/graphql-java-12.0.jar,lib/java-dataloader-2.1.1
 .jar,lib/graphql-java-servlet-7.5.0.jar,lib/commons-codec-1.10.jar,li
 b/graphql-java-annotations-7.0.1.jar,lib/swagger-core-2.0.6.jar,lib/s
 wagger-integration-2.0.6.jar,lib/swagger-jaxrs2-2.0.6.jar,lib/antlr4-
 runtime-4.7.1.jar,lib/commons-lang3-3.8.jar,lib/hibernate-validator-6
 .1.5.Final.jar,lib/javassist-3.23.1-GA.jar,lib/reactive-streams-1.0.2
 .jar,lib/reflections-0.9.11.jar,lib/snakeyaml-1.27.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Vulcan Implementation
Bundle-SymbolicName: com.liferay.portal.vulcan.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.40.hotfix-6562-7413
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.annotation;version="2.13",com.fasterxml.jackson.core;ver
 sion="2.13",com.fasterxml.jackson.core.base;version="2.13",com.faster
 xml.jackson.core.format;version="2.13",com.fasterxml.jackson.core.io;
 version="2.13",com.fasterxml.jackson.core.json;version="2.13",com.fas
 terxml.jackson.core.type;version="2.13",com.fasterxml.jackson.core.ut
 il;version="2.13",com.fasterxml.jackson.databind;version="2.13",com.f
 asterxml.jackson.databind.annotation;version="2.13",com.fasterxml.jac
 kson.databind.cfg;version="2.13",com.fasterxml.jackson.databind.deser
 ;version="2.13",com.fasterxml.jackson.databind.deser.std;version="2.1
 3",com.fasterxml.jackson.databind.exc;version="2.13",com.fasterxml.ja
 ckson.databind.introspect;version="2.13",com.fasterxml.jackson.databi
 nd.jsonFormatVisitors;version="2.13",com.fasterxml.jackson.databind.j
 sontype;version="2.13",com.fasterxml.jackson.databind.jsontype.impl;v
 ersion="2.13",com.fasterxml.jackson.databind.module;version="2.13",co
 m.fasterxml.jackson.databind.node;version="2.13",com.fasterxml.jackso
 n.databind.ser;version="2.13",com.fasterxml.jackson.databind.ser.impl
 ;version="2.13",com.fasterxml.jackson.databind.ser.std;version="2.13"
 ,com.fasterxml.jackson.databind.type;version="2.13",com.fasterxml.jac
 kson.databind.util;version="2.13",com.fasterxml.jackson.jaxrs.base,co
 m.fasterxml.jackson.jaxrs.cfg,com.fasterxml.jackson.jaxrs.json;versio
 n="2.9",com.liferay.batch.engine;version="5.1",com.liferay.batch.engi
 ne.pagination;version="1.0",com.liferay.batch.engine.strategy;version
 ="1.0",com.liferay.depot.service;version="1.9",com.liferay.document.l
 ibrary.kernel.util;version="7.0",com.liferay.headless.batch.engine.dt
 o.v1_0;version="2.6",com.liferay.headless.batch.engine.resource.v1_0;
 version="6.0",com.liferay.osgi.service.tracker.collections.map;versio
 n="2.2",com.liferay.petra.function;version="1.5",com.liferay.petra.la
 ng;version="1.3",com.liferay.petra.reflect;version="1.5",com.liferay.
 petra.string;version="1.6",com.liferay.portal.configuration.metatype.
 annotations;version="1.4",com.liferay.portal.configuration.persistenc
 e.listener;version="1.1",com.liferay.portal.kernel.bean;version="10.0
 ",com.liferay.portal.kernel.change.tracking;version="2.1",com.liferay
 .portal.kernel.exception;version="11.2",com.liferay.portal.kernel.jso
 n;version="10.1",com.liferay.portal.kernel.language;version="10.0",co
 m.liferay.portal.kernel.log;version="7.1",com.liferay.portal.kernel.m
 odel;version="15.0",com.liferay.portal.kernel.search;version="13.0",c
 om.liferay.portal.kernel.search.filter;version="1.0",com.liferay.port
 al.kernel.security.auth;version="5.0",com.liferay.portal.kernel.secur
 ity.permission;version="6.1",com.liferay.portal.kernel.service;versio
 n="13.0",com.liferay.portal.kernel.transaction;version="8.1",com.life
 ray.portal.kernel.util;version="36.6",com.liferay.portal.odata.entity
 ;version="2.0",com.liferay.portal.odata.filter;version="1.1",com.life
 ray.portal.odata.filter.expression;version="2.1",com.liferay.portal.o
 data.sort;version="1.2",com.liferay.portal.spring.transaction,com.lif
 eray.portal.util;version="30.2",com.liferay.portal.vulcan.accept.lang
 uage;version="1.1",com.liferay.portal.vulcan.aggregation;version="1.2
 ",com.liferay.portal.vulcan.batch.engine;version="1.3",com.liferay.po
 rtal.vulcan.batch.engine.resource;version="1.0",com.liferay.portal.vu
 lcan.dto.converter;version="1.6",com.liferay.portal.vulcan.fields;ver
 sion="1.5",com.liferay.portal.vulcan.graphql.annotation;version="1.2"
 ,com.liferay.portal.vulcan.graphql.contributor;version="1.1",com.life
 ray.portal.vulcan.graphql.dto;version="1.3",com.liferay.portal.vulcan
 .graphql.dto.v1_0;version="1.0",com.liferay.portal.vulcan.graphql.ser
 vlet;version="1.1",com.liferay.portal.vulcan.jaxrs.context;version="1
 .0",com.liferay.portal.vulcan.jaxrs.exception.mapper;version="1.1",co
 m.liferay.portal.vulcan.multipart;version="1.0",com.liferay.portal.vu
 lcan.openapi;version="1.3",com.liferay.portal.vulcan.pagination;versi
 on="1.4",com.liferay.portal.vulcan.resource;version="1.3",com.liferay
 .portal.vulcan.status;version="1.0",com.liferay.portal.vulcan.util;ve
 rsion="3.4",io.swagger.v3.oas.annotations;version="2.0",io.swagger.v3
 .oas.annotations.callbacks;version="2.0",io.swagger.v3.oas.annotation
 s.enums;version="2.0",io.swagger.v3.oas.annotations.extensions;versio
 n="2.0",io.swagger.v3.oas.annotations.headers;version="2.0",io.swagge
 r.v3.oas.annotations.info;version="2.0",io.swagger.v3.oas.annotations
 .links;version="2.0",io.swagger.v3.oas.annotations.media;version="2.0
 ",io.swagger.v3.oas.annotations.parameters;version="2.0",io.swagger.v
 3.oas.annotations.responses;version="2.0",io.swagger.v3.oas.annotatio
 ns.security;version="2.0",io.swagger.v3.oas.annotations.servers;versi
 on="2.0",io.swagger.v3.oas.annotations.tags;version="2.0",io.swagger.
 v3.oas.models;version="2.0",io.swagger.v3.oas.models.callbacks;versio
 n="2.0",io.swagger.v3.oas.models.examples;version="2.0",io.swagger.v3
 .oas.models.headers;version="2.0",io.swagger.v3.oas.models.info;versi
 on="2.0",io.swagger.v3.oas.models.links;version="2.0",io.swagger.v3.o
 as.models.media;version="2.0",io.swagger.v3.oas.models.parameters;ver
 sion="2.0",io.swagger.v3.oas.models.responses;version="2.0",io.swagge
 r.v3.oas.models.security;version="2.0",io.swagger.v3.oas.models.serve
 rs;version="2.0",io.swagger.v3.oas.models.tags;version="2.0",javax.ac
 tivation,javax.annotation,javax.crypto,javax.crypto.spec,javax.el,jav
 ax.persistence,javax.script,javax.security.auth,javax.servlet,javax.s
 ervlet.http,javax.validation;version="2.0",javax.validation.bootstrap
 ;version="2.0",javax.validation.constraints;version="2.0",javax.valid
 ation.constraintvalidation;version="2.0",javax.validation.executable;
 version="2.0",javax.validation.groups;version="2.0",javax.validation.
 metadata;version="2.0",javax.validation.spi;version="2.0",javax.valid
 ation.valueextraction;version="2.0",javax.websocket,javax.websocket.s
 erver,javax.ws.rs;version="2.1",javax.ws.rs.container;version="2.1",j
 avax.ws.rs.core;version="2.1",javax.ws.rs.ext;version="2.1",javax.xml
 .bind,javax.xml.bind.annotation,javax.xml.bind.annotation.adapters,ja
 vax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.stream
 .events,javax.xml.transform,javax.xml.transform.stream,javax.xml.vali
 dation,org.apache.commons.fileupload;version="1.3",org.apache.commons
 .fileupload.disk;version="1.3",org.apache.commons.fileupload.servlet;
 version="1.3",org.apache.commons.fileupload.util;version="1.3",org.ap
 ache.cxf.common.util;version="3.4",org.apache.cxf.interceptor;version
 ="3.4",org.apache.cxf.jaxrs.ext;version="3.4",org.apache.cxf.jaxrs.im
 pl;version="3.4",org.apache.cxf.jaxrs.lifecycle;version="3.4",org.apa
 che.cxf.jaxrs.model;version="3.4",org.apache.cxf.jaxrs.provider;versi
 on="3.4",org.apache.cxf.jaxrs.utils;version="3.4",org.apache.cxf.mess
 age;version="3.4",org.apache.cxf.phase;version="3.4",org.apache.cxf.v
 alidation;version="3.4",org.codehaus.stax2,org.codehaus.stax2.io,org.
 codehaus.stax2.ri,org.dom4j,org.dom4j.io,org.jboss.logging,org.osgi.f
 ramework;version="1.8",org.osgi.service.cm;version="1.6",org.osgi.ser
 vice.component.runtime;version="1.4",org.osgi.service.component.runti
 me.dto;version="1.4",org.osgi.service.http.context;version="1.0",org.
 osgi.util.promise;version="1.1",org.osgi.util.tracker;version="1.5",o
 rg.slf4j,org.springframework.transaction.interceptor,org.w3c.dom,org.
 xml.sax,sun.misc
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Vulcan
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.vulcan.internal.accept.language,co
 m.liferay.portal.vulcan.internal.batch.engine,com.liferay.portal.vulc
 an.internal.batch.engine.resource,com.liferay.portal.vulcan.internal.
 configuration,com.liferay.portal.vulcan.internal.configuration.persis
 tence.listener,com.liferay.portal.vulcan.internal.configuration.util,
 com.liferay.portal.vulcan.internal.dto.converter,com.liferay.portal.v
 ulcan.internal.fields.servlet,com.liferay.portal.vulcan.internal.grap
 hql.servlet,com.liferay.portal.vulcan.internal.jackson.databind.ser,c
 om.liferay.portal.vulcan.internal.jaxrs.container.request.filter,com.
 liferay.portal.vulcan.internal.jaxrs.container.response.filter,com.li
 feray.portal.vulcan.internal.jaxrs.context.provider,com.liferay.porta
 l.vulcan.internal.jaxrs.context.resolver,com.liferay.portal.vulcan.in
 ternal.jaxrs.dynamic.feature,com.liferay.portal.vulcan.internal.jaxrs
 .exception.mapper,com.liferay.portal.vulcan.internal.jaxrs.extension,
 com.liferay.portal.vulcan.internal.jaxrs.feature,com.liferay.portal.v
 ulcan.internal.jaxrs.message.body,com.liferay.portal.vulcan.internal.
 jaxrs.param.converter.provider,com.liferay.portal.vulcan.internal.jax
 rs.serializer,com.liferay.portal.vulcan.internal.jaxrs.validation,com
 .liferay.portal.vulcan.internal.jaxrs.writer.interceptor,com.liferay.
 portal.vulcan.internal.multipart,com.liferay.portal.vulcan.internal.p
 aram.converter,com.liferay.portal.vulcan.internal.param.converter.pro
 vider,com.liferay.portal.vulcan.internal.resource,com.liferay.portal.
 vulcan.internal.security.permission,lib,com.fasterxml.classmate,com.f
 asterxml.classmate.members,com.fasterxml.classmate.types,com.fasterxm
 l.classmate.util,com.fasterxml.jackson.dataformat.xml,com.fasterxml.j
 ackson.dataformat.xml.annotation,com.fasterxml.jackson.dataformat.xml
 .deser,com.fasterxml.jackson.dataformat.xml.jaxb,com.fasterxml.jackso
 n.dataformat.xml.ser,com.fasterxml.jackson.dataformat.xml.util,com.fa
 sterxml.jackson.dataformat.yaml,com.fasterxml.jackson.dataformat.yaml
 .snakeyaml.error,com.fasterxml.jackson.datatype.jdk8,com.fasterxml.ja
 ckson.jaxrs.xml,com.fasterxml.jackson.module.jaxb,com.fasterxml.jacks
 on.module.jaxb.deser,com.fasterxml.jackson.module.jaxb.ser,com.google
 .common.util.concurrent.internal,com.google.common.annotations,com.go
 ogle.common.base,com.google.common.base.internal,com.google.common.ca
 che,com.google.common.collect,com.google.common.escape,com.google.com
 mon.eventbus,com.google.common.graph,com.google.common.hash,com.googl
 e.common.html,com.google.common.io,com.google.common.math,com.google.
 common.net,com.google.common.primitives,com.google.common.reflect,com
 .google.common.util.concurrent,com.google.common.xml,com.google.third
 party.publicsuffix,graphql,graphql.analysis,graphql.cachecontrol,grap
 hql.execution,graphql.execution.batched,graphql.execution.defer,graph
 ql.execution.instrumentation,graphql.execution.instrumentation.datalo
 ader,graphql.execution.instrumentation.fieldvalidation,graphql.execut
 ion.instrumentation.nextgen,graphql.execution.instrumentation.paramet
 ers,graphql.execution.instrumentation.tracing,graphql.execution.nextg
 en,graphql.execution.nextgen.result,graphql.execution.preparsed,graph
 ql.execution.reactive,graphql.introspection,graphql.language,graphql.
 nextgen,graphql.parser,graphql.parser.antlr,graphql.relay,graphql.sch
 ema,graphql.schema.diff,graphql.schema.diff.reporting,graphql.schema.
 idl,graphql.schema.idl.errors,graphql.schema.validation,graphql.schem
 a.visibility,graphql.util,graphql.validation,graphql.validation.rules
 ,org.dataloader,org.dataloader.impl,org.dataloader.stats,graphql.serv
 let,graphql.servlet.internal,org.apache.commons.codec,org.apache.comm
 ons.codec.binary,org.apache.commons.codec.digest,org.apache.commons.c
 odec.language,org.apache.commons.codec.language.bm,org.apache.commons
 .codec.net,graphql.annotations,graphql.annotations.annotationTypes,gr
 aphql.annotations.connection,graphql.annotations.connection.exception
 s,graphql.annotations.connection.simple,graphql.annotations.dataFetch
 ers,graphql.annotations.dataFetchers.connection,graphql.annotations.d
 irectives,graphql.annotations.directives.creation,graphql.annotations
 .processor,graphql.annotations.processor.directives,graphql.annotatio
 ns.processor.exceptions,graphql.annotations.processor.graphQLProcesso
 rs,graphql.annotations.processor.retrievers,graphql.annotations.proce
 ssor.retrievers.fieldBuilders,graphql.annotations.processor.retriever
 s.fieldBuilders.field,graphql.annotations.processor.retrievers.fieldB
 uilders.method,graphql.annotations.processor.searchAlgorithms,graphql
 .annotations.processor.typeBuilders,graphql.annotations.processor.typ
 eFunctions,graphql.annotations.processor.util,graphql.annotations.str
 ategies,graphql.annotations.typeResolvers,io.swagger.v3.core.converte
 r,io.swagger.v3.core.filter,io.swagger.v3.core.jackson,io.swagger.v3.
 core.jackson.mixin,io.swagger.v3.core.model,io.swagger.v3.core.util,i
 o.swagger.v3.oas.integration,io.swagger.v3.oas.integration.api,io.swa
 gger.v3.jaxrs2,io.swagger.v3.jaxrs2.ext,io.swagger.v3.jaxrs2.integrat
 ion,io.swagger.v3.jaxrs2.integration.api,io.swagger.v3.jaxrs2.integra
 tion.resources,io.swagger.v3.jaxrs2.util,org.antlr.v4.runtime,org.ant
 lr.v4.runtime.atn,org.antlr.v4.runtime.dfa,org.antlr.v4.runtime.misc,
 org.antlr.v4.runtime.tree,org.antlr.v4.runtime.tree.pattern,org.antlr
 .v4.runtime.tree.xpath,org.apache.commons.lang3,org.apache.commons.la
 ng3.arch,org.apache.commons.lang3.builder,org.apache.commons.lang3.co
 ncurrent,org.apache.commons.lang3.event,org.apache.commons.lang3.exce
 ption,org.apache.commons.lang3.math,org.apache.commons.lang3.mutable,
 org.apache.commons.lang3.reflect,org.apache.commons.lang3.text,org.ap
 ache.commons.lang3.text.translate,org.apache.commons.lang3.time,org.a
 pache.commons.lang3.tuple,org.hibernate.validator,org.hibernate.valid
 ator.cfg,org.hibernate.validator.cfg.context,org.hibernate.validator.
 cfg.defs,org.hibernate.validator.cfg.defs.br,org.hibernate.validator.
 cfg.defs.pl,org.hibernate.validator.constraints,org.hibernate.validat
 or.constraints.br,org.hibernate.validator.constraints.pl,org.hibernat
 e.validator.constraints.time,org.hibernate.validator.constraintvalida
 tion,org.hibernate.validator.constraintvalidators,org.hibernate.valid
 ator.engine,org.hibernate.validator.group,org.hibernate.validator.int
 ernal,org.hibernate.validator.internal.cfg.context,org.hibernate.vali
 dator.internal.constraintvalidators,org.hibernate.validator.internal.
 constraintvalidators.bv,org.hibernate.validator.internal.constraintva
 lidators.bv.money,org.hibernate.validator.internal.constraintvalidato
 rs.bv.notempty,org.hibernate.validator.internal.constraintvalidators.
 bv.number,org.hibernate.validator.internal.constraintvalidators.bv.nu
 mber.bound,org.hibernate.validator.internal.constraintvalidators.bv.n
 umber.bound.decimal,org.hibernate.validator.internal.constraintvalida
 tors.bv.number.sign,org.hibernate.validator.internal.constraintvalida
 tors.bv.size,org.hibernate.validator.internal.constraintvalidators.bv
 .time,org.hibernate.validator.internal.constraintvalidators.bv.time.f
 uture,org.hibernate.validator.internal.constraintvalidators.bv.time.f
 utureorpresent,org.hibernate.validator.internal.constraintvalidators.
 bv.time.past,org.hibernate.validator.internal.constraintvalidators.bv
 .time.pastorpresent,org.hibernate.validator.internal.constraintvalida
 tors.hv,org.hibernate.validator.internal.constraintvalidators.hv.br,o
 rg.hibernate.validator.internal.constraintvalidators.hv.pl,org.hibern
 ate.validator.internal.constraintvalidators.hv.time,org.hibernate.val
 idator.internal.engine,org.hibernate.validator.internal.engine.constr
 aintdefinition,org.hibernate.validator.internal.engine.constraintvali
 dation,org.hibernate.validator.internal.engine.groups,org.hibernate.v
 alidator.internal.engine.messageinterpolation,org.hibernate.validator
 .internal.engine.messageinterpolation.el,org.hibernate.validator.inte
 rnal.engine.messageinterpolation.parser,org.hibernate.validator.inter
 nal.engine.messageinterpolation.util,org.hibernate.validator.internal
 .engine.path,org.hibernate.validator.internal.engine.resolver,org.hib
 ernate.validator.internal.engine.scripting,org.hibernate.validator.in
 ternal.engine.validationcontext,org.hibernate.validator.internal.engi
 ne.valuecontext,org.hibernate.validator.internal.engine.valueextracti
 on,org.hibernate.validator.internal.metadata,org.hibernate.validator.
 internal.metadata.aggregated,org.hibernate.validator.internal.metadat
 a.aggregated.rule,org.hibernate.validator.internal.metadata.core,org.
 hibernate.validator.internal.metadata.descriptor,org.hibernate.valida
 tor.internal.metadata.facets,org.hibernate.validator.internal.metadat
 a.location,org.hibernate.validator.internal.metadata.provider,org.hib
 ernate.validator.internal.metadata.raw,org.hibernate.validator.intern
 al.properties,org.hibernate.validator.internal.properties.javabean,or
 g.hibernate.validator.internal.util,org.hibernate.validator.internal.
 util.annotation,org.hibernate.validator.internal.util.classhierarchy,
 org.hibernate.validator.internal.util.logging,org.hibernate.validator
 .internal.util.logging.formatter,org.hibernate.validator.internal.uti
 l.privilegedactions,org.hibernate.validator.internal.util.stereotypes
 ,org.hibernate.validator.internal.xml,org.hibernate.validator.interna
 l.xml.config,org.hibernate.validator.internal.xml.mapping,org.hiberna
 te.validator.messageinterpolation,org.hibernate.validator.metadata,or
 g.hibernate.validator.parameternameprovider,org.hibernate.validator.p
 ath,org.hibernate.validator.resourceloading,org.hibernate.validator.s
 pi.cfg,org.hibernate.validator.spi.group,org.hibernate.validator.spi.
 messageinterpolation,org.hibernate.validator.spi.nodenameprovider,org
 .hibernate.validator.spi.properties,org.hibernate.validator.spi.resou
 rceloading,org.hibernate.validator.spi.scripting,javassist,javassist.
 bytecode,javassist.bytecode.analysis,javassist.bytecode.annotation,ja
 vassist.bytecode.stackmap,javassist.compiler,javassist.compiler.ast,j
 avassist.convert,javassist.expr,javassist.runtime,javassist.scopedpoo
 l,javassist.tools,javassist.tools.reflect,javassist.tools.rmi,javassi
 st.tools.web,javassist.util,javassist.util.proxy,org.reactivestreams,
 org.reflections,org.reflections.adapters,org.reflections.scanners,org
 .reflections.serializers,org.reflections.util,org.reflections.vfs,org
 .yaml.snakeyaml,org.yaml.snakeyaml.composer,org.yaml.snakeyaml.constr
 uctor,org.yaml.snakeyaml.emitter,org.yaml.snakeyaml.env,org.yaml.snak
 eyaml.error,org.yaml.snakeyaml.events,org.yaml.snakeyaml.extensions.c
 ompactnotation,org.yaml.snakeyaml.external.biz.base64Coder,org.yaml.s
 nakeyaml.external.com.google.gdata.util.common.base,org.yaml.snakeyam
 l.introspector,org.yaml.snakeyaml.nodes,org.yaml.snakeyaml.parser,org
 .yaml.snakeyaml.reader,org.yaml.snakeyaml.representer,org.yaml.snakey
 aml.resolver,org.yaml.snakeyaml.scanner,org.yaml.snakeyaml.serializer
 ,org.yaml.snakeyaml.tokens,org.yaml.snakeyaml.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ";uses:="com.liferay.portal.configuration.persistence.listener",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.security.
 permission.PermissionCheckerFactory";uses:="com.liferay.portal.kernel
 .security.permission",osgi.service;objectClass:List<String>="com.life
 ray.portal.vulcan.batch.engine.VulcanBatchEngineTaskItemDelegateRegis
 try";uses:="com.liferay.portal.vulcan.batch.engine",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.vulcan.batch.engine.resource
 .VulcanBatchEngineImportTaskResource";uses:="com.liferay.portal.vulca
 n.batch.engine.resource",osgi.service;objectClass:List<String>="com.l
 iferay.portal.vulcan.dto.converter.DTOConverterRegistry";uses:="com.l
 iferay.portal.vulcan.dto.converter",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.vulcan.resource.OpenAPIResource";uses:="com.
 liferay.portal.vulcan.resource",osgi.service;objectClass:List<String>
 ="graphql.annotations.processor.GraphQLAnnotationsComponent";uses:="g
 raphql.annotations.processor",osgi.service;objectClass:List<String>="
 graphql.annotations.processor.graphQLProcessors.GraphQLInputProcessor
 ";uses:="graphql.annotations.processor.graphQLProcessors",osgi.servic
 e;objectClass:List<String>="graphql.annotations.processor.graphQLProc
 essors.GraphQLOutputProcessor";uses:="graphql.annotations.processor.g
 raphQLProcessors",osgi.service;objectClass:List<String>="graphql.anno
 tations.processor.retrievers.GraphQLExtensionsHandler";uses:="graphql
 .annotations.processor.retrievers",osgi.service;objectClass:List<Stri
 ng>="graphql.annotations.processor.retrievers.GraphQLFieldRetriever";
 uses:="graphql.annotations.processor.retrievers",osgi.service;objectC
 lass:List<String>="graphql.annotations.processor.retrievers.GraphQLIn
 terfaceRetriever";uses:="graphql.annotations.processor.retrievers",os
 gi.service;objectClass:List<String>="graphql.annotations.processor.re
 trievers.GraphQLObjectHandler";uses:="graphql.annotations.processor.r
 etrievers",osgi.service;objectClass:List<String>="graphql.annotations
 .processor.retrievers.GraphQLObjectInfoRetriever";uses:="graphql.anno
 tations.processor.retrievers",osgi.service;objectClass:List<String>="
 graphql.annotations.processor.retrievers.GraphQLTypeRetriever";uses:=
 "graphql.annotations.processor.retrievers",osgi.service;objectClass:L
 ist<String>="graphql.annotations.processor.searchAlgorithms.SearchAlg
 orithm";uses:="graphql.annotations.processor.searchAlgorithms",osgi.s
 ervice;objectClass:List<String>="graphql.annotations.processor.typeFu
 nctions.TypeFunction";uses:="graphql.annotations.processor.typeFuncti
 ons",osgi.service;objectClass:List<String>="graphql.annotations.proce
 ssor.util.DataFetcherConstructor";uses:="graphql.annotations.processo
 r.util",osgi.service;objectClass:List<String>="javax.servlet.Servlet,
 javax.servlet.http.HttpServlet";uses:="javax.servlet,javax.servlet.ht
 tp",osgi.service;objectClass:List<String>="javax.ws.rs.core.Feature";
 uses:="javax.ws.rs.core"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.dep
 ot.service.DepotEntryLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.document.library.kernel.util.DLValida
 tor)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.headless.batch.engine.resource.v1_0.ImportTaskResource)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 language.Language)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.CompanyLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.GroupLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.ResourceActionLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.ResourcePermissionLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.RoleLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.util.Portal)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.Exp
 ressionConvert)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.odata.filter.FilterParserProvider)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.odata.sort
 .SortParserProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.vulcan.batch.engine.resource.VulcanBatchEngi
 neImportTaskResource)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.vulcan.dto.converter.DTOConverterRegistry)"
 ;effective:=active,osgi.service;filter:="(objectClass=graphql.annotat
 ions.processor.graphQLProcessors.GraphQLInputProcessor)";effective:=a
 ctive,osgi.service;filter:="(objectClass=graphql.annotations.processo
 r.graphQLProcessors.GraphQLOutputProcessor)";effective:=active,osgi.s
 ervice;filter:="(objectClass=graphql.annotations.processor.retrievers
 .GraphQLExtensionsHandler)";effective:=active,osgi.service;filter:="(
 objectClass=graphql.annotations.processor.retrievers.GraphQLExtension
 sHandler)";effective:=active;resolution:=optional,osgi.service;filter
 :="(objectClass=graphql.annotations.processor.retrievers.GraphQLField
 Retriever)";effective:=active,osgi.service;filter:="(objectClass=grap
 hql.annotations.processor.retrievers.GraphQLFieldRetriever)";effectiv
 e:=active;resolution:=optional,osgi.service;filter:="(objectClass=gra
 phql.annotations.processor.retrievers.GraphQLInterfaceRetriever)";eff
 ective:=active;resolution:=optional,osgi.service;filter:="(objectClas
 s=graphql.annotations.processor.retrievers.GraphQLObjectInfoRetriever
 )";effective:=active,osgi.service;filter:="(objectClass=graphql.annot
 ations.processor.retrievers.GraphQLObjectInfoRetriever)";effective:=a
 ctive;resolution:=optional,osgi.service;filter:="(objectClass=graphql
 .annotations.processor.retrievers.GraphQLTypeRetriever)";effective:=a
 ctive,osgi.service;filter:="(objectClass=graphql.annotations.processo
 r.searchAlgorithms.SearchAlgorithm)";effective:=active,osgi.service;f
 ilter:="(objectClass=graphql.annotations.processor.searchAlgorithms.S
 earchAlgorithm)";effective:=active;resolution:=optional,osgi.service;
 filter:="(objectClass=graphql.annotations.processor.typeFunctions.Typ
 eFunction)";effective:=active,osgi.service;filter:="(objectClass=grap
 hql.annotations.processor.typeFunctions.TypeFunction)";effective:=act
 ive;resolution:=optional;cardinality:=multiple,osgi.service;filter:="
 (objectClass=graphql.annotations.processor.util.DataFetcherConstructo
 r)";effective:=active,osgi.service;filter:="(objectClass=graphql.exec
 ution.preparsed.PreparsedDocumentProvider)";effective:=active;resolut
 ion:=optional,osgi.service;filter:="(objectClass=graphql.servlet.Exec
 utionStrategyProvider)";effective:=active;resolution:=optional,osgi.s
 ervice;filter:="(objectClass=graphql.servlet.GraphQLContextBuilder)";
 effective:=active;resolution:=optional,osgi.service;filter:="(objectC
 lass=graphql.servlet.GraphQLErrorHandler)";effective:=active;resoluti
 on:=optional,osgi.service;filter:="(objectClass=graphql.servlet.Graph
 QLMutationProvider)";effective:=active;resolution:=optional;cardinali
 ty:=multiple,osgi.service;filter:="(objectClass=graphql.servlet.Graph
 QLProvider)";effective:=active;resolution:=optional;cardinality:=mult
 iple,osgi.service;filter:="(objectClass=graphql.servlet.GraphQLQueryP
 rovider)";effective:=active;resolution:=optional;cardinality:=multipl
 e,osgi.service;filter:="(objectClass=graphql.servlet.GraphQLRootObjec
 tBuilder)";effective:=active;resolution:=optional,osgi.service;filter
 :="(objectClass=graphql.servlet.GraphQLServletListener)";effective:=a
 ctive;resolution:=optional;cardinality:=multiple,osgi.service;filter:
 ="(objectClass=graphql.servlet.GraphQLSubscriptionProvider)";effectiv
 e:=active;resolution:=optional;cardinality:=multiple,osgi.service;fil
 ter:="(objectClass=graphql.servlet.GraphQLTypesProvider)";effective:=
 active;resolution:=optional;cardinality:=multiple,osgi.service;filter
 :="(objectClass=graphql.servlet.InstrumentationProvider)";effective:=
 active;resolution:=optional,osgi.service;filter:="(objectClass=org.os
 gi.service.cm.ConfigurationAdmin)";effective:=active,osgi.service;fil
 ter:="(objectClass=org.osgi.service.component.runtime.ServiceComponen
 tRuntime)";effective:=active,osgi.extender;filter:="(&(osgi.extender=
 osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;os
 gi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(versio
 n=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.vulcan.internal.batch.e
 ngine.VulcanBatchEngineTaskItemDelegateAdaptorFactory.xml,OSGI-INF/co
 m.liferay.portal.vulcan.internal.batch.engine.VulcanBatchEngineTaskIt
 emDelegateRegistryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.interna
 l.batch.engine.resource.VulcanBatchEngineImportTaskResourceImpl.xml,O
 SGI-INF/com.liferay.portal.vulcan.internal.configuration.persistence.
 listener.VulcanConfigurationModelListener.xml,OSGI-INF/com.liferay.po
 rtal.vulcan.internal.dto.converter.DTOConverterRegistryImpl.xml,OSGI-
 INF/com.liferay.portal.vulcan.internal.graphql.servlet.GraphQLServlet
 Extender.xml,OSGI-INF/com.liferay.portal.vulcan.internal.jaxrs.featur
 e.VulcanFeature.xml,OSGI-INF/com.liferay.portal.vulcan.internal.resou
 rce.OpenAPIResourceImpl.xml,OSGI-INF/com.liferay.portal.vulcan.intern
 al.security.permission.LiberalPermissionCheckerFactoryImpl.xml
Tool: Bnd-4.3.0.201909301554

